/*
 * Copyright (c) KylinSoft Co., Ltd. 2024. All rights reserved.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __KYLIN_AI_IMAGE_CONFIG_H__
#define __KYLIN_AI_IMAGE_CONFIG_H__

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _ImageSize {
    int width;
    int height;
} ImageSize;

typedef struct _ImageConfig ImageConfig;

ImageConfig *image_config_create();
void image_config_destroy(ImageConfig **config);

void image_config_set_generation_number(ImageConfig *config, int number);
void image_config_set_style(ImageConfig *config, const char *style);
void image_config_set_size(ImageConfig *config, ImageSize image_size);

#ifdef __cplusplus
}
#endif

#endif
